<!DOCTYPE html>
<html xmlns:h="http://xmlns.jcp.org/jsf/html"
>
<h:head>
    <title>Groupe B1</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <h:outputStylesheet library="css" name="main.css"/>
    <h:outputStylesheet library="css" name="jquery-ui.css"/>
    <h:outputScript library="js" name="jquery-3.6.0.min.js"/>
    <h:outputScript library="js" name="main.js"/>
</h:head>
<h:body>
    <nav class="navbar">
        <ul>
            <h:form>
                <li><h:commandButton action="#{indexController.doGoHome()}"
                                     value="Home" class="hlink"/></li>
                <li><h:commandButton action="#{indexController.doGoList()}"
                                     value="List activities" class="hlink"/>
                </li>
                <li><h:commandButton
                        action="#{indexController.doGoGlobalAgenda()}"
                        value="Global Agenda" class="hlink"/></li>
                <li id="admin" style="display: none"><h:commandButton
                        action="#{indexController.doGoAdminHome()}"
                        value="Admin menu" class="hlink"/></li>
                <li id="profile" style="display: none"><h:commandButton
                        action="#{indexController.doGoUserProfile()}"
                        value="My profile" class="hlink"/></li>
                <li><h:commandButton action="#{indexController.doGoAboutUs()}" value="About us"
                		class="hlink"/></li>
                <li id="login" style="display: none"><h:commandButton
                        action="#{indexController.doGoLogIn()}" value="Log In"
                        class="hlink"/></li>
                <li id="logout" style="display: none"><h:commandButton
                        action="#{userControl.logout()}" value="Log out"
                        class="hlink"/></li>
            </h:form>
        </ul>
    </nav>
    <h:outputScript target="head" library="js" name="main.js"/>
    <h:outputScript target="head" library="js">
        visuelNav(#{userControl.connected}, #{userControl.adminConnected});
        $ = jQuery;
        $(document).ready(function ()
        {
        console.log("Hello World!");
        });
        #{userControl.login = "admin"}
        #{userControl.password = "helha"}
        #{userControl.createNewAdmin()}
        #{userControl.login = "user"}
        #{userControl.createNewUser()}
    </h:outputScript>

    <div style="margin: 0;padding: 0; overflow: hidden;width: 100%;height: 43vw;">
        <iframe src="#{indexController.srcPage}" frameborder="0"
                style="border:none;overflow-x:hidden;height: 100%;width: 100%;" height="100%" width="100%"
                onload="visuelNav(#{userControl.connected}, #{userControl.adminConnected});"></iframe>
    </div>

</h:body>
</html>
